Resume webhook
curl --request POST \
--url https://scheduler.studio.lyzr.ai/agent-webhooks/{webhook_id}/resume \
--header 'x-api-key: <api-key>'import requests
url = "https://scheduler.studio.lyzr.ai/agent-webhooks/{webhook_id}/resume"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://scheduler.studio.lyzr.ai/agent-webhooks/{webhook_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "66f1c3b7e4b0a1b2c3d4e5f7",
"agent_id": "66e9b0f2a1c3d4e5f6a7b8c9",
"user_id": "user@example.com",
"webhook_url": "https://scheduler.studio.lyzr.ai/webhook-trigger/66f1c3b7e4b0a1b2c3d4e5f7",
"secret_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "New Zendesk ticket",
"is_active": true,
"updated_at": "2023-11-07T05:31:56Z",
"last_triggered_at": "2023-11-07T05:31:56Z",
"last_trigger_success": true,
"trigger_count": 0
}Agent Webhooks
Resume Webhook
Reactivate a paused webhook.
POST
/
agent-webhooks
/
{webhook_id}
/
resume
Resume webhook
Authorizations
Lyzr API key. Required on every endpoint except Trigger Webhook.
Path Parameters
ID of the webhook.
Example:
"66f1c3b7e4b0a1b2c3d4e5f7"
Response
The resumed webhook.
Unique webhook ID.
Example:
"66f1c3b7e4b0a1b2c3d4e5f7"
Example:
"66e9b0f2a1c3d4e5f6a7b8c9"
Example:
"user@example.com"
Public URL external services call to trigger the agent.
Example:
"https://scheduler.studio.lyzr.ai/webhook-trigger/66f1c3b7e4b0a1b2c3d4e5f7"
Secret used to sign requests to webhook_url with HMAC-SHA256. Store it securely.
Example:
"New Zendesk ticket"
false when the webhook is paused.
Total number of times the webhook has been triggered.